PROC GLOBAL 
set explicit

file myhh myhl mywm mych;
numeric notoccur i hloccur edoccur ovoccur cloccur daoccur mmoccur j;

PROC MICS3_FF

PROC HH

{ EXPORT HH }
set behavior() export (SPSS SubitemOnly);

export to myhh
  HH1,HH2,MODHH, MODTO, MODWS;

{ EXPORT HH MEMBERS }
notoccur = 999;       { HH member's occurrence number if not listed in module  }
i = 1;
while i <= HH11 do
  hloccur = HL1(i);      { HH member's occurrence number in the HL module  }

  { Export the HH member }
  export to myhl
    HH1,HH2,MODHL(hloccur),MODHH,MODWS;
  { Increment the counter }
  i = i + 1;
enddo;

PROC WMCH

{ EXPORT WOMEN }
if HL6(LN) > 0 then
  export to mywm
    HH1,HH2,LN,MODWM, MODCP, MODHA, MODHH, MODWS;
endif;

{ EXPORT CHILDREN }
if HL8(LN) > 0 then
  export to mych
    HH1,HH2,LN,MODUF, MODBF, MODIM, HL4(UF4), ED3A(UF6), HL5(UF6) MODHH, MODWS;
endif;
